UniqueIdNotSupportedException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transport.UniqueIdNotSupportedException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Class UniqueIdNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.mule.api.MuleRuntimeException
                      org.mule.api.transport.UniqueIdNotSupportedException

All Implemented Interfaces:
  Serializable

    public class UniqueIdNotSupportedException

extends MuleRuntimeException

`UniqueIdNotSupportedException` is thrown by MessageAdapter.getUniqueId() if the underlying message does not support or have a unique identifier.

See Also:
  Serialized Form

Constructor Summary
`UniqueIdNotSupportedException(MessageAdapter adapter)`
`UniqueIdNotSupportedException(MessageAdapter adapter, Message message)`
`UniqueIdNotSupportedException(MessageAdapter adapter, Throwable cause)`

Method Summary
`protected static Message` | `chainMessage(Message m1, Message m2)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UniqueIdNotSupportedException

    public UniqueIdNotSupportedException(MessageAdapter adapter)

### UniqueIdNotSupportedException

    public UniqueIdNotSupportedException(MessageAdapter adapter,
                                         Message message)

### UniqueIdNotSupportedException

    public UniqueIdNotSupportedException(MessageAdapter adapter,
                                         Throwable cause)

Method Detail

### chainMessage

    protected static Message chainMessage(Message m1,
                                          Message m2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.